condenser_api.get_active_votes
Purpose
Returns all votes for the given post. Parameters: author:string; permlink:string
author (string) | permlink (string) | |
|---|---|---|
"steemit" | "firstpost" | Queries votes for content with a slug @steemit/firstpost |
"alice" | "a-post-by-alice" | Queries votes for content with a slug @alice/a-post-by-alice |
Also see: tags_api.get_active_votes
Parameters
PARAMETERS
json
[
"",
""
]Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_active_votes",
"params": [
"steemit",
"firstpost"
],
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_active_votes",
"params": [
"alice",
"a-post-by-alice"
],
"id": 1
}'Response
RESPONSE
json
[
{
"voter": "",
"weight": "",
"rshares": 0,
"percent": 0,
"reputation": "",
"time": "1970-01-01T00:00:00"
}
]Expected curl responses
EXPECTED RESPONSES
text
unknown key:unknown key